package org.antlr.misc;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import java.util.List;
import org.antlr.misc.Graph;

public class Node<T> {
  T payload;
  
  List<Node<T>> edges;
  
  public Node(T payload) {
    this.payload = payload;
  }
  
  public void addEdge(Node<T> n) {
    if (this.edges == null)
      this.edges = new ArrayList<Node<T>>(); 
    if (!this.edges.contains(n))
      this.edges.add(n); 
  }
  
  public String toString() {
    return this.payload.toString();
  }
}
